Skip to main content
GET
/
check-api-key
TypeScript
import { Kombo } from "@kombo-api/sdk";

const kombo = new Kombo({
  api_key: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await kombo.general.checkApiKey();

  console.log(result);
}

run();
{
  "status": "success",
  "data": {
    "environment_id": "2Uev1YUTqLFdvMPD3Jtrg2FX",
    "customer_id": "2Uev1YUTqLFdvMPD3Jtrg2FX"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Response

GET /check-api-key Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"environment_id": "2Uev1YUTqLFdvMPD3Jtrg2FX",
"customer_id": "2Uev1YUTqLFdvMPD3Jtrg2FX"
}